Subject: Nisus problem and info

From: Huangxin Wang <[email-masked]>
Date: Sun, 8 Sep 1991 22:26:23 EDT

After I get my Nisus demo for Macintosh, I am very impressed by the
wonderful features it has.  First, you should get a demo disk (free)
from Paragon by sending a mail to:

[email-masked]

with your address.  You can at least use this demo version to read Hua
Xia Wen Zhai!  (the "Save" is disable in the demo version).

The full version for academic order is $99 (original price is over $300).

It looks like Nisus is much more powerful than MSWord, especially there
are a lot of Desktop publishing feature, and the powerful macro
programming language for one to format the articles.  Another thing is
it can does cross reference properly (Word cannot do that, thus it's
not very useful for writing scientific paper).  Also Nisus is
(supposedly) script compatible, thus you can use it to edit the
two-byte language system (Chinese or Japanese) properly.  It also
contain a very nice MacDraw like utility, which you can use it to edit
figures, as well as control text flow (e.g., text flow around, into,
over, or behide a figure or area).  Also other niffty stuffs:  infinite
number of undo-redo;  multiple clipboard;  multiple selection, very
powerful search utility (it has three level, the highest level is
similar to UNIX "find" or "sed" language).

**********
But here is some problem:  When I use the Nisus with mainland Chinese
version CH6.07, I read in a plain text file (which is not created by
Nisus) containing Chinese, the first problem is before you read it in,
you have to set the font to *Beijing*, otherwise all the Chinese
characters are displayed as English font, and I am not able to change
them to Chinese by selecting them and choose the font in "Font" menu,
very strange! (say, original it's geneva, I try to change it to
*Beijing*, but nothing happen, and in the Font menu, it still check
"Geneva" rather than *Beijing*.  Similar strange problem happen with
with the English charaters in Chinese text.  You are not able to change
it's font.  Also, if I type into the English text which is in
*Beijing*, the inserted English characters is not following the context
font (i.e., in *Beijing* font), but rather it is displayed in some
other font (say, Times).  This is extremely annoying that I have to
retype all the English text!

This sounds like a very strange bug, but since everyone agrees Nisus is
good for Macintosh Chinese System, has anyone encountered such
problem?  Or do I miss some thing in the installation? I am using Nisus
3.06.

		Huangxin Wang 王璜鑫, University of Pennsylvania